Get LinkedIn profile
Fetch public profile details for a LinkedIn username.
POST
/
api
/
v1
/
platform
/
scrapers
/
linkedin
/
profile
Get LinkedIn profile
curl --request POST \
--url https://developer.thehog.ai/api/v1/platform/scrapers/linkedin/profile \
--header 'Content-Type: application/json' \
--header 'X-Access-Key: <api-key>' \
--header 'X-Secret-Key: <api-key>' \
--data '
{
"username": "some-public-id"
}
'const options = {
method: 'POST',
headers: {
'X-Access-Key': '<api-key>',
'X-Secret-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({username: 'some-public-id'})
};
fetch('https://developer.thehog.ai/api/v1/platform/scrapers/linkedin/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://developer.thehog.ai/api/v1/platform/scrapers/linkedin/profile"
payload = { "username": "some-public-id" }
headers = {
"X-Access-Key": "<api-key>",
"X-Secret-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"username": "<string>",
"full_name": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"headline": "<string>",
"about": "<string>",
"profile_picture_url": "<string>",
"location": {
"country": "<string>",
"city": "<string>",
"full": "<string>"
},
"follower_count": 123,
"connection_count": 123,
"current_company": "<string>",
"current_company_url": "<string>",
"background_picture_url": "<string>",
"linkedin_id": "<string>",
"profile_url": "<string>",
"open_to_work": true,
"is_premium": true,
"is_creator": true,
"is_influencer": true,
"is_top_voice": true,
"is_verified": true,
"is_hiring": true,
"top_skills": [
"<string>"
],
"experience": [
{}
],
"education": [
{}
],
"certifications": [
{}
],
"skills": [
{}
],
"languages": [
{}
],
"volunteering": [
{}
],
"projects": [
{}
],
"publications": [
{}
],
"honors_awards": [
{}
],
"courses": [
{}
],
"patents": [
{}
],
"featured": [
{}
],
"recommendations": [
{}
],
"organizations": [
{}
],
"causes": [
{}
]
},
"meta": {
"requestId": "<string>"
}
}{
"statusCode": 400,
"error": "Bad Request",
"message": "Validation failed",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b",
"errors": [
{
"property": "body.query",
"message": "query must be a string",
"constraints": {
"isString": "query must be a string"
}
}
]
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Authentication is required.",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Insufficient credits.",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b"
}{
"statusCode": 500,
"error": "Internal Server Error",
"message": "An unexpected error occurred.",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b"
}{
"statusCode": 502,
"error": "Bad Gateway",
"message": "An unexpected error occurred.",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b"
}POST /api/v1/platform/scrapers/linkedin/profile
Get LinkedIn profile details by username.Retrieve public profile metadata for a LinkedIn profile username.
Example
curl -X POST https://developer.thehog.ai/api/v1/platform/scrapers/linkedin/profile \
-H "X-Access-Key: ak_xxxxxxxxxxxxxxxx" \
-H "X-Secret-Key: sk_xxxxxxxxxxxxxxxx" \
-H "Content-Type: application/json" \
-d '{"username": "some-public-id"}'
Authorizations
The public API key from the Credentials page.
The API secret shown when the credential is created.
Body
application/json
Example:
"some-public-id"
⌘I
Get LinkedIn profile
curl --request POST \
--url https://developer.thehog.ai/api/v1/platform/scrapers/linkedin/profile \
--header 'Content-Type: application/json' \
--header 'X-Access-Key: <api-key>' \
--header 'X-Secret-Key: <api-key>' \
--data '
{
"username": "some-public-id"
}
'const options = {
method: 'POST',
headers: {
'X-Access-Key': '<api-key>',
'X-Secret-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({username: 'some-public-id'})
};
fetch('https://developer.thehog.ai/api/v1/platform/scrapers/linkedin/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://developer.thehog.ai/api/v1/platform/scrapers/linkedin/profile"
payload = { "username": "some-public-id" }
headers = {
"X-Access-Key": "<api-key>",
"X-Secret-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"username": "<string>",
"full_name": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"headline": "<string>",
"about": "<string>",
"profile_picture_url": "<string>",
"location": {
"country": "<string>",
"city": "<string>",
"full": "<string>"
},
"follower_count": 123,
"connection_count": 123,
"current_company": "<string>",
"current_company_url": "<string>",
"background_picture_url": "<string>",
"linkedin_id": "<string>",
"profile_url": "<string>",
"open_to_work": true,
"is_premium": true,
"is_creator": true,
"is_influencer": true,
"is_top_voice": true,
"is_verified": true,
"is_hiring": true,
"top_skills": [
"<string>"
],
"experience": [
{}
],
"education": [
{}
],
"certifications": [
{}
],
"skills": [
{}
],
"languages": [
{}
],
"volunteering": [
{}
],
"projects": [
{}
],
"publications": [
{}
],
"honors_awards": [
{}
],
"courses": [
{}
],
"patents": [
{}
],
"featured": [
{}
],
"recommendations": [
{}
],
"organizations": [
{}
],
"causes": [
{}
]
},
"meta": {
"requestId": "<string>"
}
}{
"statusCode": 400,
"error": "Bad Request",
"message": "Validation failed",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b",
"errors": [
{
"property": "body.query",
"message": "query must be a string",
"constraints": {
"isString": "query must be a string"
}
}
]
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Authentication is required.",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Insufficient credits.",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b"
}{
"statusCode": 500,
"error": "Internal Server Error",
"message": "An unexpected error occurred.",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b"
}{
"statusCode": 502,
"error": "Bad Gateway",
"message": "An unexpected error occurred.",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b"
}